#
# spec file for package fx2_programmer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fx2_programmer
Version:        2.0.2
Release:        1.1
Summary:        Cypress Semiconductor CY7C68013 Utility and Programmer
# Not specified LGPL version, and LGPL copy is missing.
License:        LGPL-2.0+
Group:          Productivity/Scientific/Electronics
Url:            http://volodya-project.sourceforge.net/fx2_programmer.php
Source:         http://downloads.sourceforge.net/project/volodya-project/%{name}/%{version}/%{name}-%{version}.tgz
# Simplified snapshot of the home page is the only source of relevant information:
Source1:        fx2_programmer.html
# Simplified snapshot of http://volodya-project.sourceforge.net/SR/sr.php
Source2:        fx2_viewer.html
# Images required by Source2
Source3:        chips-assembled-small.jpg
Source4:        parts-assembled-small.jpg
Source5:        screenshot2-small.png
# PATCH-FIX-OPENSUSE fx2_programmer-make.patch sbrabec@suse.cz -- Fix Makefile.
Patch:          fx2_programmer-make.patch
BuildRequires:  fftw3-devel
BuildRequires:  freeglut-devel
BuildRequires:  libusb-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fx2_programmer is a small utility to access Cypress Semiconductor
CY7C68013 chip. It allows uploading RAM contents from binary files and
Intel hex format files as well as dumping memory contents and exercising
USB endpoints.

%prep
%setup -q -n %{name}
%patch -p1
cp -a %{SOURCE1} %{SOURCE2} .
mkdir img
cp -a %{SOURCE3} %{SOURCE4} %{SOURCE5} img/

%build
make %{?_smp_mflags} CC="gcc -pipe -Wall -O2 %{optflags}"

%install
mkdir -p %{buildroot}%{_prefix}/bin
make PREFIX=%{buildroot}%{_prefix} install

%files
%defattr (-, root, root)
%doc README.txt fx2_programmer.html fx2_viewer.html img
%{_prefix}/bin/*

%changelog
* Fri Feb 27 2015 sbrabec@suse.cz
- New package.
- Add fx2_programmer-make.patch.
